/*
 * Created on Aug 14, 2007
 */
package net.sf.doolin.tabular.io;

import java.io.IOException;
import java.io.OutputStream;

import net.sf.doolin.tabular.model.TabularModel;

/**
 * Defines the writer for some tabular data.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            Type of object per row
 */
public interface TabularWriter<T> {

	/**
	 * Writes the given tabular data into the given output stream
	 * 
	 * @param output
	 *            Output stream to write to
	 * @param model
	 *            Data to write
	 * @throws IOException
	 *             Thrown if an error occurs during the writing.
	 */
	void write(OutputStream output, TabularModel<T> model) throws IOException;

}
